> Calendly developer docs. For page Markdown, append .md to any URL.
> Index: https://developer.calendly.com/llms.txt
> API catalog: https://developer.calendly.com/.well-known/api-catalog
> OpenAPI: https://developer.calendly.com/openapi/calendly-api.yaml
> OAuth authorization server: https://calendly.com/.well-known/oauth-authorization-server
> MCP protected resource: https://mcp.calendly.com/.well-known/oauth-protected-resource
> Scheduling MCP endpoint: https://mcp.calendly.com
> Docs search MCP: https://developer.calendly.com/_mcp/server

# Get Event

GET https://api.calendly.com/scheduled_events/{uuid}

Returns information about a specified Event.

> `scheduled_events:read`

Reference: https://developer.calendly.com/api-docs/calendly-api/scheduled-events/get-scheduled-event

## Authentication

- `Authorization` header (bearer token, required) — OAuth 2.0
- `Authorization` header (bearer token, required) — Personal Access Token

## Request

### Path parameters

- `uuid` (string, required) — The event's unique identifier

## Response

### 200

OK

- `resource` (Event, required) — Information about a scheduled meeting

## Errors

### 401 Unauthorized Error

Cannot authenticate caller

- `title` (enum, required)
  - Allowed values: `Internal Server Error`
- `message` (enum, required)
  - Allowed values: `The server encountered an unexpected condition that prevented it from fulfilling the request.`
- `details` (list of ErrorResponseDetailsItem, optional)

### 403 Forbidden Error

Permission Denied or insufficient scope

- `Get-scheduled-eventRequestForbiddenError`

### 404 Not Found Error

Requested resource not found

- `title` (enum, required)
  - Allowed values: `Internal Server Error`
- `message` (enum, required)
  - Allowed values: `The server encountered an unexpected condition that prevented it from fulfilling the request.`
- `details` (list of ErrorResponseDetailsItem, optional)

### 500 Internal Server Error

An error has occurred on the server

- `title` (enum, required)
  - Allowed values: `Internal Server Error`
- `message` (enum, required)
  - Allowed values: `The server encountered an unexpected condition that prevented it from fulfilling the request.`
- `details` (list of ErrorResponseDetailsItem, optional)

## Types

### Event

Information about a scheduled meeting

- `uri` (string, required) — Canonical reference (unique identifier) for the resource
- `name` (string, required, nullable) — The event name
- `status` (enum, required) — Indicates if the event is "active" or "canceled"
  - Allowed values: `active`, `canceled`
- `start_time` (string, required) — The moment the event was scheduled to start in UTC time (e.g. "2020-01-02T03:04:05.678123Z").
- `end_time` (string, required) — The moment the event was scheduled to end in UTC time (e.g. "2020-01-02T03:04:05.678123Z")
- `event_type` (string, required) — The event type associated with this event
- `location` (Location, required) — The polymorphic base type for an event location that Calendly supports
- `invitees_counter` (EventInviteesCounter, required)
- `created_at` (string, required) — The moment when the event was created (e.g. "2020-01-02T03:04:05.678123Z")
- `updated_at` (string, required) — The moment when the event was last updated (e.g. "2020-01-02T03:04:05.678123Z")
- `event_memberships` (list of EventEventMembershipsItems, required) — Event membership list
- `event_guests` (list of Guest, required) — Additional people added to an event by an invitee
- `calendar_event` (LegacyCalendarEvent, required, deprecated) — Information about the calendar event from the calendar provider.
- `meeting_notes_plain` (string, optional, nullable) — The internal meeting notes (in non formatted text)
- `meeting_notes_html` (string, optional) — The internal meeting notes (formatted with HTML)
- `cancellation` (Cancellation, optional) — Provides data pertaining to the cancellation of the Event or the Invitee

### ErrorResponseDetailsItem

- `message` (string, required)
- `parameter` (string, optional)
- `code` (string, optional)

### GetScheduledEventsInviteesError

Permission Denied

- `title` (enum, optional)
  - Allowed values: `Permission Denied`
- `message` (enum, optional)
  - Allowed values: `You are not allowed to view this event`

### InsufficientScopeError

Caller does not have required oauth scopes

- `title` (enum, required)
  - Allowed values: `Insufficient scope`
- `message` (enum, required)
  - Allowed values: `This operation requires the scopes listed in the 'required_scopes' array.`
- `required_scopes` (list of string, required)

### Location

The polymorphic base type for an event location that Calendly supports

### EventInviteesCounter

- `total` (double, required) — Total invitees for an event, including invitees that have canceled
- `active` (double, required) — Total invitees for an event that have not canceled
- `limit` (double, required) — Maximum number of active invitees that can book the event

### EventEventMembershipsItems

- `user` (string, required) — Canonical reference (unique identifier) for the user
- `user_email` (string, optional) — The user's email
- `user_name` (string, optional) — The user's name
- `buffered_end_time` (string, optional) — The moment the membership's time buffer ends for the event in UTC time
- `buffered_start_time` (string, optional) — The moment the membership's time buffer starts for the event in UTC time

### Guest

An individual whom an invitee has invited to be a guest attendee to an event

- `email` (string, required)
- `created_at` (string, required)
- `updated_at` (string, required)

### LegacyCalendarEvent

Information about the calendar event from the calendar provider.

- `kind` (enum, required, deprecated) — Indicates the calendar provider the event belongs to.
  - Allowed values: `exchange`, `google`, `icloud`, `outlook`, `outlook_desktop`
- `external_id` (string, required, deprecated) — the id provided from the calendar provider for this calendar event.

### Cancellation

Provides data pertaining to the cancellation of the Event or the Invitee

- `canceled_by` (string, required) — Name of the person whom canceled
- `reason` (string, required, nullable) — Reason that the cancellation occurred
- `canceler_type` (enum, required)
  - Allowed values: `host`, `invitee`
- `created_at` (string, required) — The moment when the cancellation was created

### InPersonMeeting

Information about the physical (in-person) event location

- `type` (enum, required) — Indicates that the event will be an in-person meeting.
  - Allowed values: `physical`
- `location` (string, required) — The physical location specified by the event host (publisher)
- `additional_info` (string, optional)

### OutboundCall

Meeting publisher will call the Invitee

- `type` (enum, required) — Indicates that the event host (publisher) will call the invitee
  - Allowed values: `outbound_call`
- `location` (string, required, nullable) — The phone number the event host (publisher) will use to call the invitee

### InboundCall

Invitee will call meeting publisher at the specified phone number

- `type` (enum, required) — Indicates that the invitee will call the event host
  - Allowed values: `inbound_call`
- `location` (string, required) — The phone number the invitee will use to call the event host (publisher)
- `additional_info` (string, optional)

### GoogleConference

Details about an Event that will take place using a Google Meet / Hangout conference. Location details will not be available 6 months after event has occurred.

- `type` (enum, required) — The event location is a Google Meet or Hangouts conference
  - Allowed values: `google_conference`
- `status` (enum, required, nullable) — Indicates the current status of the Google conference \* Expect only `pushed` status to have a non-`null` value for the `join_url` field. - `processing` Location details generation pending - `initiated` Requesting location details from Google - `pushed` Location details are available - `failed` Error occurred or event has been canceled - `null` Location details are no longer available
  - Allowed values: `processing`, `initiated`, `pushed`, `failed`
- `join_url` (string, required, nullable) — Google conference meeting url

### ZoomConference

Meeting will take place in a Zoom conference. Location details will not be available 6 months after event has occurred.

- `type` (enum, required) — The event location is a Zoom conference
  - Allowed values: `zoom`
- `status` (enum, required, nullable) — Indicates the current status of the Zoom conference \* Expect only `pushed` status to have non-`null` values for `join_url` & `data` fields. - `processing` Location details generation pending - `initiated` Requesting location details from Zoom - `pushed` Location details are available - `failed` Error occurred or event has been canceled - `null` Location details are no longer available
  - Allowed values: `processing`, `initiated`, `pushed`, `failed`
- `join_url` (string, required, nullable) — Zoom meeting url
- `data` (ZoomConferenceData, required, nullable) — The conference metadata supplied by Zoom

### GotoMeetingConference

Details about an Event that will take place using a GotoMeeting conference. Location details will not be available 6 months after event has occurred.

- `type` (enum, required) — The event location is a GoToMeeting conference
  - Allowed values: `gotomeeting`
- `status` (enum, required, nullable) — Indicates the current status of the GoToMeeting conference \* Expect only `pushed` status to have non-`null` values for `join_url` & `data` fields. - `processing` Location details generation pending - `initiated` Requesting location details from GoToMeeting - `pushed` Location details are available - `failed` Error occurred or event has been canceled - `null` Location details are no longer available
  - Allowed values: `initiated`, `processing`, `pushed`, `failed`
- `join_url` (string, required, nullable) — GoToMeeting conference meeting url
- `data` (GotoMeetingConferenceData, required, nullable) — The conference metadata supplied by GoToMeeting

### MicrosoftTeamsConference

Meeting will take place in a Microsoft Teams conference. Location details will not be available 6 months after event has occurred.

- `type` (enum, required) — The event location is a Microsoft Teams conference
  - Allowed values: `microsoft_teams_conference`
- `status` (enum, required, nullable) — Indicates the current status of the Microsoft Teams conference \* Expect only `pushed` status to have non-`null` values for `join_url` & `data` fields. - `processing` Location details generation pending - `initiated` Requesting location details from MS Teams - `pushed` Location details are available - `failed` Error occurred or event has been canceled - `null` Location details are no longer available
  - Allowed values: `processing`, `initiated`, `pushed`, `failed`
- `join_url` (string, required, nullable) — Microsoft Teams meeting url
- `data` (MicrosoftTeamsConferenceData, required, nullable) — The conference metadata supplied by Microsoft Teams

### CustomLocation

Use this to describe an existing Calendly-supported event location.

- `type` (enum, required) — The event location doesn't fall into a standard category defined by the event host (publisher)
  - Allowed values: `custom`
- `location` (string, required, nullable) — The location description provided by the event host (publisher)

### InviteeSpecifiedLocation

Information about an event location that’s specified by the invitee.

- `type` (enum, required) — The event location selected by the invitee
  - Allowed values: `ask_invitee`
- `location` (string, required) — The event location description provided by the invitee

### WebExConference

Details about an Event that will take place using a WebEx conference. Location details will not be available 6 months after event has occurred.

- `type` (enum, required) — The event location is a WebEx conference
  - Allowed values: `webex_conference`
- `status` (enum, required, nullable) — Indicates the current status of the WebEx conference \* Expect only `pushed` status to have non-`null` values for `join_url` & `data` fields. - `processing` Location details generation pending - `initiated` Requesting location details from WebEx - `pushed` Location details are available - `failed` Error occurred or event has been canceled - `null` Location details are no longer available
  - Allowed values: `processing`, `initiated`, `pushed`, `failed`
- `join_url` (string, required, nullable) — WebEx conference meeting url
- `data` (WebExConferenceData, required, nullable) — The conference metadata supplied by GoToMeeting

### ZoomConferenceData

The conference metadata supplied by Zoom

- `id` (ZoomConferenceDataId, optional) — The conference ID provided by Zoom
- `settings` (ZoomConferenceDataSettings, optional)
- `extra` (ZoomConferenceDataExtra, optional)
- `password` (string, optional) — Zoom meeting password

### GotoMeetingConferenceData

The conference metadata supplied by GoToMeeting

- `uniqueMeetingId` (double, optional) — Canonical reference (unique identifier) for the GoToMeeting conference
- `conferenceCallInfo` (string, optional)

### MicrosoftTeamsConferenceData

The conference metadata supplied by Microsoft Teams

- `id` (string, optional) — The conference ID provided by Microsoft Teams
- `audioConferencing` (MicrosoftTeamsConferenceDataAudioConferencing, optional, nullable)

### WebExConferenceData

The conference metadata supplied by GoToMeeting

- `id` (string, required) — Canonical reference (unique identifier) for the WebEx conference
- `telephony` (WebExConferenceDataTelephony, required)
- `password` (string, required)

### ZoomConferenceDataId

The conference ID provided by Zoom

### ZoomConferenceDataSettings

- `global_dial_in_numbers` (list of ZoomConferenceDataSettingsGlobalDialInNumbersItems, optional)

### ZoomConferenceDataExtra

- `intl_numbers_url` (string, optional) — Zoom International Dial-in Numbers URL

### MicrosoftTeamsConferenceDataAudioConferencing

- `conferenceId` (string, optional)
- `dialinUrl` (string, optional)
- `tollNumber` (string, optional)

### WebExConferenceDataTelephony

- `callInNumbers` (list of WebExConferenceDataTelephonyCallInNumbersItems, required)

### ZoomConferenceDataSettingsGlobalDialInNumbersItems

- `number` (string, optional) — Phone number
- `country` (string, optional) — Country code
- `type` (string, optional)
- `city` (string, optional)
- `country_name` (string, optional)

### WebExConferenceDataTelephonyCallInNumbersItems

- `label` (string, required)
- `callInNumber` (string, required)
- `tollType` (string, required)

## Examples

**Response**

```json
{
  "resource": {
    "uri": "https://api.calendly.com/scheduled_events/AAAAAAAAAAAAAAAA",
    "name": "15 Minute Meeting",
    "status": "active",
    "start_time": "2019-08-24T14:15:22.000000Z",
    "end_time": "2019-08-24T14:15:22.000000Z",
    "event_type": "https://api.calendly.com/event_types/AAAAAAAAAAAAAAAA",
    "location": {
      "additional_info": "Please check in at the main lobby.",
      "location": "Calendly Office",
      "type": "physical"
    },
    "invitees_counter": {
      "total": 0,
      "active": 0,
      "limit": 0
    },
    "created_at": "2019-01-02T03:04:05.678123Z",
    "updated_at": "2019-01-02T03:04:05.678123Z",
    "event_memberships": [
      {
        "user": "https://api.calendly.com/users/AAAAAAAAAAAAAAAA",
        "user_email": "user@example.com",
        "user_name": "John Smith",
        "buffered_end_time": "2019-08-24T14:15:22.000000Z",
        "buffered_start_time": "2019-08-24T14:15:22.000000Z"
      }
    ],
    "event_guests": [
      {
        "email": "user@example.com",
        "created_at": "2019-08-24T14:15:22.123456Z",
        "updated_at": "2019-08-24T14:15:22.123456Z"
      }
    ],
    "calendar_event": {
      "kind": "google",
      "external_id": "8suu9k3hj00mni03ss12ba0ce0"
    },
    "meeting_notes_plain": "Internal meeting notes",
    "meeting_notes_html": "<p>Internal meeting notes</p>",
    "booking_method": "instant"
  }
}
```

**SDK Code**

```python Scheduled event
import requests

url = "https://api.calendly.com/scheduled_events/AAAAAAAAAAAAAAAA"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Scheduled event
const url = 'https://api.calendly.com/scheduled_events/AAAAAAAAAAAAAAAA';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Scheduled event
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.calendly.com/scheduled_events/AAAAAAAAAAAAAAAA"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Scheduled event
require 'uri'
require 'net/http'

url = URI("https://api.calendly.com/scheduled_events/AAAAAAAAAAAAAAAA")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java Scheduled event
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.calendly.com/scheduled_events/AAAAAAAAAAAAAAAA")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php Scheduled event
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.calendly.com/scheduled_events/AAAAAAAAAAAAAAAA', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp Scheduled event
using RestSharp;

var client = new RestClient("https://api.calendly.com/scheduled_events/AAAAAAAAAAAAAAAA");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift Scheduled event
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.calendly.com/scheduled_events/AAAAAAAAAAAAAAAA")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```